package xamora.gp_dbc.utils;

import cpw.mods.fml.common.eventhandler.SubscribeEvent;
import cpw.mods.fml.common.gameevent.InputEvent;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import xamora.gp_dbc.network.server.NetworkKeyManage;
import xamora.gp_dbc.proxy.CommonProxy;
import net.minecraft.client.Minecraft;
import net.minecraft.client.settings.GameSettings;

import java.util.HashMap;
import java.util.UUID;

public class InputUtils {

    public static HashMap<UUID, Boolean> useItemPressedPlayers = new HashMap<>();
    public boolean useItemPressed;

    @SideOnly(Side.CLIENT)
    @SubscribeEvent
    public void handleMouseInput (InputEvent.MouseInputEvent event) {
        GameSettings gameSettings = Minecraft.getMinecraft().gameSettings;
        boolean pressed = gameSettings.keyBindUseItem.isPressed();
        if (pressed == useItemPressed)
            return;

        useItemPressed = pressed;
        CommonProxy.network.sendToServer(new NetworkKeyManage("useItem~" + useItemPressed));

        //System.out.println(useItemPressed);
    }

}
