package xamora.gp_dbc.utils;

import static net.minecraft.util.StatCollector.translateToLocal;

public class TimeUtils {

    public static String getTimeYears(long sec) {
        long days = sec / (24 * 3600);
        long hours = (sec % (24 * 3600)) / 3600;
        long minutes = ((sec % (24 * 3600)) % 3600) / 60;
        long seconds = ((sec % (24 * 3600)) % 3600) % 60;
        long months = days / 30;
        days %= 30;
        long years = months / 12;
        months %= 12;

        return String.format("%02d/%02d/%04d - %02d:%02d:%02d", days, months, years, hours, minutes, seconds);
    }

    public static String getTimeMonths(long sec) {
        long days = sec / (24 * 3600);
        long hours = (sec % (24 * 3600)) / 3600;
        long minutes = ((sec % (24 * 3600)) % 3600) / 60;
        long seconds = ((sec % (24 * 3600)) % 3600) % 60;
        long months = days / 30;
        days %= 30;

        return String.format("%02d/%02d - %02d:%02d:%02d", days, months, hours, minutes, seconds);
    }

    public static String getTimeDays(long sec) {
        long days = sec / (24 * 3600);
        long hours = (sec % (24 * 3600)) / 3600;
        long minutes = ((sec % (24 * 3600)) % 3600) / 60;
        long seconds = ((sec % (24 * 3600)) % 3600) % 60;

        return String.format("%02d - %02d:%02d:%02d", days, hours, minutes, seconds);
    }

    public static String getTimeHours(long sec) {
        long hours = sec / 3600;
        long minutes = ((sec % (24 * 3600)) % 3600) / 60;
        long seconds = ((sec % (24 * 3600)) % 3600) % 60;

        return String.format("%02d:%02d:%02d", hours, minutes, seconds);
    }

}
